<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 <xsl:output method="xml" indent="yes" omit-xml-declaration="no"/> 
 <xsl:strip-space elements="*"/> 
 <xsl:template match="*/text()">
  <xsl:apply-templates/>
 </xsl:template>
<!--
 <xsl:template match="*[(name() != 'modelVersion') and (name() != 'version') and (name() != 'parent') and (name() != 'project')]|*/text()">
  <xsl:apply-templates/>
 </xsl:template>
-->
 <xsl:template match="/project">
  <xsl:element name="project">
   <xsl:copy-of select="./parent/groupId"/>
   <xsl:element name="extend">
    <xsl:text>../etc/project.xml</xsl:text>
   </xsl:element>
   <xsl:element name="package"/>
   <xsl:apply-templates/>
  </xsl:element>
 </xsl:template>
 <xsl:template match="//modelVersion">
  <xsl:element name="pomVersion">
   <xsl:text>3</xsl:text>
   <xsl:apply-templates/>
  </xsl:element>
 </xsl:template>
 <xsl:template match="/project/version">
  <xsl:element name="currentVersion">
   <xsl:copy-of select="./text()"/>
   <xsl:apply-templates/>
  </xsl:element>
 </xsl:template>
 <xsl:template match="/project/artifactId">
  <xsl:element name="id">
   <xsl:copy-of select="./text()"/>
   <xsl:apply-templates/>
  </xsl:element>
 </xsl:template>
 <xsl:template match="/project/name">
  <xsl:copy-of select="."/>
  <xsl:apply-templates/>
 </xsl:template>
 <xsl:template match="/project/dependencies">
  <xsl:element name="dependencies">
   <xsl:apply-templates/>
  </xsl:element>
 </xsl:template>
 <xsl:template match="/project/dependencies/dependency">
  <xsl:element name="dependency">
   <xsl:if test="not(./version)">
    <xsl:element name="version">
     <xsl:value-of select="/project/parent/version/text()"/>
    </xsl:element>
   </xsl:if>
   <xsl:apply-templates/>
  </xsl:element>
 </xsl:template>
 <xsl:template match="/project/dependencies/dependency/groupId">
  <xsl:copy-of select="."/>
  <xsl:apply-templates/>
 </xsl:template>
 <xsl:template match="/project/dependencies/dependency/artifactId">
  <xsl:copy-of select="."/>
  <xsl:apply-templates/>
 </xsl:template>
 <xsl:template match="/project/build">
  <xsl:copy-of select="."/>
  <xsl:apply-templates/>
 </xsl:template>
</xsl:stylesheet>
